Bug 588692 - Review Request: rubygem-rerun - Restarts your app when file changes
Review Request: rubygem-rerun - Restarts your app when file changes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 06:05 EDT by Michal Fojtik
Modified: 2010-10-19 05:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: rubygem-rerun-0.5.2-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 05:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmorsi: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Fojtik 2010-05-04 06:05:42 EDT
Spec URL: http://mifo.sk/RPMS/rubygem-rerun.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-rerun-0.5.2-1.fc13.src.rpm
Description:
Launches an app, and restarts it whenever the filesystem changes
Comment 1 Mo Morsi 2010-05-04 16:35:41 EDT
Did a formal review, looks good for the most part save one major blocker

* The current spec will not build at all unless following: pushd %{geminstdir}
is changed to: pushd %{buildroot}%{geminstdir}
in the %check section, which fixes the error I was getting:
pushd: /usr/lib64/ruby/gems/1.8/gems/rerun-0.5.2: No such file or directory



* rpmlint on the SRPM / Spec yields
- rubygem-rerun.src: W: no-buildroot-tag
The BuildRoot tag isn't used in your spec. It must be used in order to allow
building the package as non root on some systems. For some rpm versions (e.g.
rpm.org >= 4.6) the BuildRoot tag is not necessary in specfiles and is ignored
by rpmbuild; if your package is only going to be built with such rpm versions
you can ignore this warning.

Adding the following to the spec solves this:
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Note, BuildRoot is no longer required/used, http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag  but this is the only way to remove this warning AFAIK. Thus either way, this is not a blocker for approval.



* rpmlint on the rpm itself spits out a bunch of macro warnings by mistake, eg
rubygem-rerun.noarch: W: misspelled-macro /usr/lib64/ruby/gems/1.8/doc/rerun-0.5.2/ri/Rerun/Runner/running%3f-i.yaml %3f

This can be ignored, eg not a blocker, though these can easily be removed by simply adding the "--no-ri" flag to the "gem install" command in the spec (the rdoc documentation will still be generated)


* And as far as docs go, there are enough to warrant a separate rubygem-rerun-doc subpackage, though once again not a blocker for approval


Koji build looks good http://koji.fedoraproject.org/koji/taskinfo?taskID=2162329 (after I made the change to %check above) and all other review guidelines pass.
Comment 2 Michal Fojtik 2010-05-05 06:33:31 EDT
(In reply to comment #1)
> Did a formal review, looks good for the most part save one major blocker
> 
> * The current spec will not build at all unless following: pushd %{geminstdir}
> is changed to: pushd %{buildroot}%{geminstdir}
> in the %check section, which fixes the error I was getting:
> pushd: /usr/lib64/ruby/gems/1.8/gems/rerun-0.5.2: No such file or directory

Thank you! I've fixed this.

> * rpmlint on the SRPM / Spec yields
> - rubygem-rerun.src: W: no-buildroot-tag
> The BuildRoot tag isn't used in your spec. It must be used in order to allow
> building the package as non root on some systems. For some rpm versions (e.g.
> rpm.org >= 4.6) the BuildRoot tag is not necessary in specfiles and is ignored
> by rpmbuild; if your package is only going to be built with such rpm versions
> you can ignore this warning.
> 
> Adding the following to the spec solves this:
> BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
> 
> Note, BuildRoot is no longer required/used,
> http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag  but this is
> the only way to remove this warning AFAIK. Thus either way, this is not a
> blocker for approval.

Last time I submitted a review request, I got notice that now is preferred to not use BuildRoot. So for now I keeping this specfile without this.

> * rpmlint on the rpm itself spits out a bunch of macro warnings by mistake, eg
> rubygem-rerun.noarch: W: misspelled-macro
> /usr/lib64/ruby/gems/1.8/doc/rerun-0.5.2/ri/Rerun/Runner/running%3f-i.yaml %3f
> 
> This can be ignored, eg not a blocker, though these can easily be removed by
> simply adding the "--no-ri" flag to the "gem install" command in the spec (the
> rdoc documentation will still be generated)

Fixed. (I added --no-ri)

> * And as far as docs go, there are enough to warrant a separate
> rubygem-rerun-doc subpackage, though once again not a blocker for approval

I preffer to keep docs in same package. That is an ussual way howto deal with RDoc generated documentation.

Updated files:
Spec URL: http://mifo.sk/RPMS/rubygem-rerun.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-rerun-0.5.2-2.fc13.src.rpm
Comment 3 Mo Morsi 2010-05-05 14:38:37 EDT
Everything looks good save for one more blocker. The changelog cannot contain any macros as the one you just added does.  I'd change the entry to something along the lines of:

"Fixed wrong path in check"

Else rpmlint will warn

rpmbuild/SPECS/rubygem-rerun.spec:63: W: macro-in-%changelog %test


Also it's a good idea to run rpmlint on your spec, srpm, and generated rpms before submitting them as well, just to iron out any newly introduced kinks
Comment 4 Michal Fojtik 2010-05-06 06:02:36 EDT
(In reply to comment #3)
> Everything looks good save for one more blocker. The changelog cannot contain
> any macros as the one you just added does.  I'd change the entry to something
> along the lines of:
> 
> "Fixed wrong path in check"

Oh damm, thanks I just forget about this ;-)

Spec URL: http://mifo.sk/RPMS/rubygem-rerun.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-rerun-0.5.2-2.fc13.src.rpm
Comment 5 Mo Morsi 2010-05-06 13:52:33 EDT
I could be wrong, but I believe you still need to add a new changelog entry for every revision, even if you are just fixing the changelog itself. Also, shouldn't "patch" be "path" in that latest changelog message (eg the fix above).

Once thats done, everything looks good. APPROVED
Comment 6 Michael Stahnke 2010-09-13 18:41:24 EDT
Yes, you should add a change log message.  

Is this package still being worked on?
Comment 8 Michal Fojtik 2010-09-14 04:50:30 EDT
(In reply to comment #6)

> Yes, you should add a change log message.  

Fixed :-)

> 
> Is this package still being worked on?

Sure, I just forgot this one... Here are updated files:


Spec URL: http://mifo.sk/RPMS/rubygem-rerun.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-rerun-0.5.2-3.fc13.src.rpm
Comment 9 Michal Fojtik 2010-09-14 04:52:11 EDT
New Package SCM Request
=======================
Package Name: rubygem-rerun
Short Description: Restarts your app when file changes
Owners: mfojtik
Branches: f13 f14 el5 el6
Comment 10 Jens Petersen 2010-09-16 00:02:49 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-10-01 05:39:41 EDT
rubygem-rerun-0.5.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-rerun-0.5.2-3.fc13
Comment 12 Fedora Update System 2010-10-01 05:40:28 EDT
rubygem-rerun-0.5.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-rerun-0.5.2-3.fc14
Comment 13 Fedora Update System 2010-10-01 21:13:35 EDT
rubygem-rerun-0.5.2-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rerun'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-rerun-0.5.2-3.fc14
Comment 14 Fedora Update System 2010-10-05 05:26:20 EDT
rubygem-rerun-0.5.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-10-19 05:04:50 EDT
rubygem-rerun-0.5.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.